import 'package:d_dio/src/const/consts.dart';

class BaseRespEntity {
  late int code;
  late String msg;
  dynamic data;

  bool get success => code == kSuccessCode;

  BaseRespEntity.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    msg = json['msg'];
    data = json['data'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = {};
    data['code'] = code;
    data['msg'] = msg;
    data['data'] = data;
    return data;
  }

  @override
  String toString() {
    return 'BaseRespEntity{code: $code, msg: $msg, data: $data}';
  }
}
