import 'package:dio/dio.dart';

class RequestOptionsExtra {
  late bool needToken;
  late bool wsApi;
  late bool openCache;
  late bool useFormData;

  static Options compose(
    Options? options, {
    bool? needToken,
    bool? wsApi,
    bool? openCache,
    bool? useFormData,
  }) {
    options ??= Options();
    Map<String, dynamic> extraWrap = options.extra ?? {};
    if (needToken ?? false) extraWrap['_token'] = true;
    if (wsApi ?? false) extraWrap['_ws'] = true;
    if (openCache ?? false) extraWrap['_cache'] = true;
    if (useFormData ?? false) extraWrap['_formData'] = true;
    options.extra = extraWrap;
    return options;
  }
}
